package com.boman.domain.dto;

import com.alibaba.fastjson.annotation.JSONField;
import java.io.Serializable;

public class BaseDto implements Serializable {
    protected static final String PAGE_SIZE = "pageSize";
    protected static final String PAGE = "page";
    protected static final String LAST_END_ID = "lastEndId";
    protected static final String DESCS = "descs";
    protected static final String ASCS = "ascs";
    private static final long serialVersionUID = -1L;
    
    @JSONField(
            name = "page"
    )
    protected Long page;
    
    @JSONField(
            name = "pageSize"
    )
    protected Long pageSize;
    
    @JSONField(
            name = "lastEndId"
    )
    protected Long lastEndId;
   
    @JSONField(
            name = "descs"
    )
    protected String descs;
    
    @JSONField(
            name = "ascs"
    )
    protected String ascs;
    @JSONField(
            name = "chain_id",
            serialize = false
    )
    protected String chainId;
    @JSONField(
            name = "event_id",
            serialize = false
    )
    protected String eventId;

    public BaseDto() {
    }

    public Long getPage() {
        return this.page;
    }

    public Long getPageSize() {
        return this.pageSize;
    }

    public Long getLastEndId() {
        return this.lastEndId;
    }

    public String getDescs() {
        return this.descs;
    }

    public String getAscs() {
        return this.ascs;
    }

    public String getChainId() {
        return this.chainId;
    }

    public String getEventId() {
        return this.eventId;
    }

    public BaseDto setPage(Long page) {
        this.page = page;
        return this;
    }

    public BaseDto setPageSize(Long pageSize) {
        this.pageSize = pageSize;
        return this;
    }

    public BaseDto setLastEndId(Long lastEndId) {
        this.lastEndId = lastEndId;
        return this;
    }

    public BaseDto setDescs(String descs) {
        this.descs = descs;
        return this;
    }

    public BaseDto setAscs(String ascs) {
        this.ascs = ascs;
        return this;
    }

    public BaseDto setChainId(String chainId) {
        this.chainId = chainId;
        return this;
    }

    public BaseDto setEventId(String eventId) {
        this.eventId = eventId;
        return this;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof BaseDto)) {
            return false;
        } else {
            BaseDto other = (BaseDto)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label95: {
                    Object this$page = this.getPage();
                    Object other$page = other.getPage();
                    if (this$page == null) {
                        if (other$page == null) {
                            break label95;
                        }
                    } else if (this$page.equals(other$page)) {
                        break label95;
                    }

                    return false;
                }

                Object this$pageSize = this.getPageSize();
                Object other$pageSize = other.getPageSize();
                if (this$pageSize == null) {
                    if (other$pageSize != null) {
                        return false;
                    }
                } else if (!this$pageSize.equals(other$pageSize)) {
                    return false;
                }

                Object this$lastEndId = this.getLastEndId();
                Object other$lastEndId = other.getLastEndId();
                if (this$lastEndId == null) {
                    if (other$lastEndId != null) {
                        return false;
                    }
                } else if (!this$lastEndId.equals(other$lastEndId)) {
                    return false;
                }

                label74: {
                    Object this$descs = this.getDescs();
                    Object other$descs = other.getDescs();
                    if (this$descs == null) {
                        if (other$descs == null) {
                            break label74;
                        }
                    } else if (this$descs.equals(other$descs)) {
                        break label74;
                    }

                    return false;
                }

                label67: {
                    Object this$ascs = this.getAscs();
                    Object other$ascs = other.getAscs();
                    if (this$ascs == null) {
                        if (other$ascs == null) {
                            break label67;
                        }
                    } else if (this$ascs.equals(other$ascs)) {
                        break label67;
                    }

                    return false;
                }

                Object this$chainId = this.getChainId();
                Object other$chainId = other.getChainId();
                if (this$chainId == null) {
                    if (other$chainId != null) {
                        return false;
                    }
                } else if (!this$chainId.equals(other$chainId)) {
                    return false;
                }

                Object this$eventId = this.getEventId();
                Object other$eventId = other.getEventId();
                if (this$eventId == null) {
                    if (other$eventId != null) {
                        return false;
                    }
                } else if (!this$eventId.equals(other$eventId)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof BaseDto;
    }

    public String toString() {
        return "BaseDto(page=" + this.getPage() + ", pageSize=" + this.getPageSize() + ", lastEndId=" + this.getLastEndId() + ", descs=" + this.getDescs() + ", ascs=" + this.getAscs() + ", chainId=" + this.getChainId() + ", eventId=" + this.getEventId() + ")";
    }
}
